admin_checkout_gw_type_status_post
curl --request POST \
--url https://checkout.dintero.com/v1/admin/gateways/{gateway}/status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"override_id": "STORE_1"
}
'import requests
url = "https://checkout.dintero.com/v1/admin/gateways/{gateway}/status"
payload = { "override_id": "STORE_1" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({override_id: 'STORE_1'})
};
fetch('https://checkout.dintero.com/v1/admin/gateways/{gateway}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/gateways/{gateway}/status"
payload := strings.NewReader("{\n \"override_id\": \"STORE_1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/admin/gateways/{gateway}/status")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"override_id\": \"STORE_1\"\n}")
.asString();{
"status": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}gateways
Check gateway status
verify the gateway configuration
scopes:
- admin:checkout
- write:checkout:/admin/gateways
POST
https://checkout.dintero.com/v1
/
admin
/
gateways
/
{gateway}
/
status
admin_checkout_gw_type_status_post
curl --request POST \
--url https://checkout.dintero.com/v1/admin/gateways/{gateway}/status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"override_id": "STORE_1"
}
'import requests
url = "https://checkout.dintero.com/v1/admin/gateways/{gateway}/status"
payload = { "override_id": "STORE_1" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({override_id: 'STORE_1'})
};
fetch('https://checkout.dintero.com/v1/admin/gateways/{gateway}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/gateways/{gateway}/status"
payload := strings.NewReader("{\n \"override_id\": \"STORE_1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/admin/gateways/{gateway}/status")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"override_id\": \"STORE_1\"\n}")
.asString();{
"status": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
adminKeyJWT
X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.
The content of the header should look like the following:
x-api-key: {api_key}
Path Parameters
Available options:
bambora, collector, instabank, netaxept, payex, santander, swish, vipps Body
application/json
The id of the override that the status should be checked for. If empty, checks the root gateway config.
Example:
"STORE_1"
Response
Gateway status
the gateway status